Bug 1436756 - when editing an existing user the field "Full Name" has the value of the field "Username"
Summary: when editing an existing user the field "Full Name" has the value of the fiel...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.7.3
Assignee: Jozef Zigmund
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
: 1463769 (view as bug list)
Depends On: 1395371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 14:56 UTC by Reartes Guillermo
Modified: 2017-06-28 14:59 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 14:59:04 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot user before edit (30.06 KB, image/jpeg)
2017-03-28 14:56 UTC, Reartes Guillermo
no flags Details
screenshot of the issue when editing (37.25 KB, image/jpeg)
2017-03-28 14:57 UTC, Reartes Guillermo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Description Reartes Guillermo 2017-03-28 14:56:36 UTC
Created attachment 1267000 [details]
screenshot user before edit

Description of problem:

When editing an existing user, the field "Full Name" is replaced with the value of the field "Username".

Version-Release number of selected component (if applicable):
CFME 5.7.1.3

How reproducible:
always

Steps to Reproduce:
1. add an user
2. edit the user
3. the field "Full Name" will have the value of "Username" instead of "Full Name"

Actual results:
this will lead to the admin performing a wrong edition, if not carefull to notice the issue.

Expected results:
The field "Full Name" must have the current value of its field.

Additional info:

Comment 2 Reartes Guillermo 2017-03-28 14:57:09 UTC
Created attachment 1267002 [details]
screenshot of the issue when editing

Comment 3 Harpreet Kataria 2017-03-30 20:00:19 UTC
Jozef,

This one looks like dup of https://bugzilla.redhat.com/show_bug.cgi?id=1395371, fix should get backported to EUWE, can you set appropriate flags on the PR.

Thanks,
~Harpreet.

Comment 5 Satoe Imaishi 2017-05-23 19:53:24 UTC
5.8 BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1395371

Comment 6 CFME Bot 2017-05-25 20:11:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/350adced9a1137dc49658d2da8d38854e232280f

commit 350adced9a1137dc49658d2da8d38854e232280f
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Wed Nov 30 12:31:51 2016 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 25 15:57:05 2017 -0400

    Merge pull request #12899 from jzigmund/bz1395371-fix_user_full_name
    
    Fix User Full Name
    (cherry picked from commit 3128981e03482b71f7a9f74bff0dbd6f4c942b67)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436756

 app/controllers/ops_controller/ops_rbac.rb          | 16 ++++++----------
 spec/views/ops/_rbac_user_details.html.haml_spec.rb | 19 +++++++++++++++++++
 2 files changed, 25 insertions(+), 10 deletions(-)
 create mode 100644 spec/views/ops/_rbac_user_details.html.haml_spec.rb

Comment 7 Niyaz Akhtar Ansari 2017-06-09 09:49:40 UTC
Verified in Version 5.7.3.1.20170608124102_4b35a9e

Comment 8 Jozef Zigmund 2017-06-23 12:51:04 UTC
*** Bug 1463769 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2017-06-28 14:59:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.